using System.Runtime.Serialization;

namespace Piwigo.Client;

[Serializable]
public class PiwigoException : Exception
{
    public PiwigoException()
    {
    }

    protected PiwigoException(SerializationInfo info, StreamingContext context) : base(info, context)
    {
    }

    public PiwigoException(string? message) : base(message)
    {
    }

    public PiwigoException(string? message, Exception? innerException) : base(message, innerException)
    {
    }
}