using Microsoft.Extensions.Logging;

namespace Piwigo.Client.Cli;

internal static class EventIds
{
    public static EventId ActionSucceeded { get; } = new(0, "action completed successfully");
    public static EventId Upload { get; } = new(1, "upload an image");
    public static EventId SystemError { get; } = new(-1, "system error");
    public static EventId PiwigoError { get; } = new(-2, "piwigo error");
}