using Newtonsoft.Json;

namespace Piwigo.Client.Images;

public record OrphanImagesDeleted
{
    [JsonProperty("nb_deleted")]
    public int? Deleted { get; init; }

    [JsonProperty("nb_orphans")]
    public int? Orphans { get; init; }

    public void Deconstruct(out int? deleted, out int? orphans)
    {
        deleted = Deleted;
        orphans = Orphans;
    }
}